package com.ejie.y41e.model;


import java.util.ArrayList;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * Y41eOrigen
 *  
 */

public class Y41eOrigen extends Y41eDescripcion implements java.io.Serializable {

    private static final long serialVersionUID = 1L;
    private Long idOrigen;
    private List<Y41eEncuesta> encuestas = new ArrayList<Y41eEncuesta>();

    /** 
     * Method 'Y41eOrigen'.
     */
    public Y41eOrigen() {
        //constructor
    }

    /** 
     * Method 'Y41eOrigen'.
     * @param idOrigen Long
     */    
    public Y41eOrigen(Long idOrigen) {
        this.idOrigen = idOrigen;
    }


    /** 
     * Method 'Y41eOrigen'.
     * @param idOrigen Long
     * @param descEs String
     * @param descEu String
     * @param activa String
     */
    public Y41eOrigen(Long idOrigen, String descEs, String descEu, String activa ) {
        super(descEs, descEu, activa);
        this.idOrigen = idOrigen;
    }

    /**
     * Method 'getIdOrigen'.
     *
     * @return Long
     */


    public Long getIdOrigen() {
        return this.idOrigen;
    }

    /**
     * Method 'setIdOrigen'.
     *
     * @param idOrigen Long
     * @return
     */

    public void setIdOrigen(Long idOrigen) {
        this.idOrigen = idOrigen;
    }

    /**
     * Method 'getEncuestas'.
     *
     * @return List
     */
    @JsonIgnore
    public List<Y41eEncuesta> getEncuestas() {
        return this.encuestas;
    }

    /**
     * Method 'setEncuestas'.
     *
     * @param y41eEncuestas List
     * @return
     */
    public void setEncuestas(List<Y41eEncuesta> y41eEncuestas) {
        this.encuestas = y41eEncuestas;
    }

}

